//#region ../../node_modules/lodash-es/_initCloneArray.js
var e = Object.prototype.hasOwnProperty;
function t(t) {
	var n = t.length, r = new t.constructor(n);
	return n && typeof t[0] == "string" && e.call(t, "index") && (r.index = t.index, r.input = t.input), r;
}
//#endregion
export { t as default };
